> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/caf-sdk-pt-br/flutter/standalone-modules/deprecated-sdks.md).

# SDKs descontinuados

Esta página apresenta os primeiros passos para usar nossos SDKs Flutter.

## \[SDKs descontinuados]

## Primeiros passos

### Política de Privacidade e Termos e Condições de Uso

Ao usar nosso plugin, certifique-se de que concorda com nossa [Política de Privacidade](https://en.caf.io/politicas/politicas-de-privacidade) e com nossos [Termos e Condições de Uso](https://en.caf.io/politicas/termos-e-condicoes-de-uso).

### Versões atuais

#### Estável

| SDK                                                                                                                                        | Versão           | pub.dev                                                                     |
| ------------------------------------------------------------------------------------------------------------------------------------------ | ---------------- | --------------------------------------------------------------------------- |
| [DocumentDetector](https://docs.caf.io/caf-sdk/caf-sdk-pt-br/flutter/standalone-modules/deprecated-sdks/document-detector/v7-and-above.md) | `7.0.3`          | [caf\_document\_detector](https://pub.dev/packages/caf_document_detector)   |
| [FaceLiveness](https://docs.caf.io/caf-sdk/caf-sdk-pt-br/flutter/standalone-modules/deprecated-sdks/faceliveness.md)                       | `4.0.0` e abaixo | [new\_face\_liveness](https://pub.dev/packages/new_face_liveness)           |
| [FaceLiveness](https://docs.caf.io/caf-sdk/caf-sdk-pt-br/flutter/standalone-modules/deprecated-sdks/faceliveness.md)                       | `5.0.0` e acima  | [caf\_face\_liveness](https://pub.dev/packages/caf_face_liveness)           |
| [FaceAuthenticator](https://docs.caf.io/caf-sdk/caf-sdk-pt-br/flutter/standalone-modules/deprecated-sdks/faceauth.md)                      | `4.0.0` e abaixo | [new\_face\_authenticator](https://pub.dev/packages/new_face_authenticator) |
| [FaceAuthenticator](https://docs.caf.io/caf-sdk/caf-sdk-pt-br/flutter/standalone-modules/deprecated-sdks/faceauth.md)                      | `5.0.0` e acima  | [new\_face\_authenticator](https://pub.dev/packages/caf_face_auth)          |

#### Descontinuado

| SDK                                                                                                                                       | Dependência                     |
| ----------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------- |
| [PassiveFaceLiveness](https://github.com/combateafraude/public-docs/blob/docs-sdks/flutter/deprecated-sdks/passivefaceliveness.md)        | `passive-face-liveness-v4.30.0` |
| [FaceAuthenticator](https://github.com/combateafraude/public-docs/blob/docs-sdks/flutter/deprecated-sdks/faceauthenticator-deprecated.md) | `face-authenticator-v3.13.0`    |

### Configurações do ProGuard

Se você usa o ProGuard ou uma ferramenta semelhante que inclua regras de redução ou ofuscação no seu projeto, talvez seja necessário adicionar estas exceções para que nossos SDKs funcionem corretamente.

```groovy
-keep class com.iproov.** { *; }
-keep interface com.iproov.** { *; }
-keepclassmembers class com.iproov.** { *; }

-keep class kotlin.** { *; }
-keep class kotlinx.** { *; }

# No modo completo do R8, as assinaturas genéricas são removidas para classes que não estão
# mantidas. As funções suspend são encapsuladas em continuations, onde o argumento de tipo
# é usado.
-keep,allowobfuscation,allowshrinking class kotlin.coroutines.Continuation

# No modo completo do R8, as assinaturas genéricas são removidas dos tipos de retorno se não forem mantidas.
-if interface * { @retrofit2.http.* public *** *(...); }
-keep,allowoptimization,allowshrinking,allowobfuscation class <3>

# No modo completo do R8, as assinaturas genéricas são removidas para classes que não estão mantidas.
-keep,allowobfuscation,allowshrinking class retrofit2.Response
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.caf.io/caf-sdk/caf-sdk-pt-br/flutter/standalone-modules/deprecated-sdks.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
